/*
    Rekollect: A note taking application
    Copyright (C) 2009, 2010  Jason Jackson <jaxhoo@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/
// Local
#include "notebrowserwindow.h"

// KDE
#include <KApplication>
#include <KAboutData>
#include <KCmdLineArgs>
#include <KLocale>
#include <KStandardDirs>

static const char description[] =
    I18N_NOOP("A rich text note taking and management tool.");

static const char version[] = "0.3.1";

int main(int argc, char **argv)
{
    // Initialize application
    KAboutData about("rekollect", 0, ki18n("Rekollect"), version, ki18n(description),
                     KAboutData::License_GPL, ki18n("(C) 2009 Jason Jackson"), KLocalizedString(),
                     0, "jaxhoo@gmail.com");
    about.addAuthor(ki18n("Jason Jackson"), KLocalizedString(), "jaxhoo@gmail.com");
    KCmdLineArgs::init(argc, argv, &about);

    KApplication app;

    // Add a directory to the resources for saving notes
    #ifndef DEBUG
    KGlobal::dirs()->addResourceType("app_notes", "appdata", "notes");
    #else
    KGlobal::dirs()->addResourceType("app_notes", "appdata", "notesdev");
    #endif
    // Launch primary window
    NoteBrowserWindow *window = new NoteBrowserWindow;
    window->show();

    // see if we are starting with session management
//     if (app.isSessionRestored())
//     {
//         RESTORE(Rekollect);
//     }
//     else
//     {
//         // no session.. just start up normally
//         KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
//         if (args->count() == 0)
//         {
//             //rekollect *widget = new rekollect;
//             widget->show();
//         }
//         else
//         {
//             int i = 0;
//             for (; i < args->count(); i++)
//             {
//                 //rekollect *widget = new rekollect;
//                 widget->show();
//             }
//         }
//         args->clear();
//     }

    return app.exec();
}
